PrimeSieve Class Reference

## Public Member Functions

| PrimeSieve (const Integer &first, const Integer &last, const Integer &step, signed int delta=0)
bool | NextCandidate (Integer &c)
void | DoSieve ()

## Static Public Member Functions

static void | SieveSingle (std::vector< bool > &sieve, word16 p, const Integer &first, const Integer &step, word16 stepInv)

## Public Attributes

Integer | m_first
Integer | m_last
Integer | m_step
signed int | m_delta
word | m_next
std::vector< bool > | m_sieve

## Detailed Description

Definition at line 288 of file nbtheory.cpp.

The documentation for this class was generated from the following file:

- nbtheory.cpp